package ${domain}.module.wsvr.req;

import org.hibernate.validator.constraints.Length;
import ${domain}.frame.base.BaseUpdateRequest;
import ${domain}.frame.validation.Select;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * LogerrUpdateRequest - 错误日志更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-07-06
 */
public class LogerrUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 日志类型.
     */
    @NotNull(message = "[logType]日志类型不能为NULL")
    @Select({"系统错误", "任务错误", "业务错误"})
    private String logType;

    /**
     * 任务标题.
     */
    @NotBlank(message = "[logTitle]任务标题不能为空")
    @Length(min = 0, max = 50, message = "[logTitle]任务标题长度不合法(0-50)")
    private String logTitle;

    /**
     * 日志描述.
     */
    @Length(min = 0, max = 500, message = "[logNote]日志描述长度不合法(0-500)")
    private String logNote;

    /**
     * 日志状态.
     */
    @NotNull(message = "[logState]日志状态不能为NULL")
    @Select({"0", "1", "2"})
    private String logState;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLogType() {
        return this.logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogNote() {
        return this.logNote;
    }

    public void setLogNote(String logNote) {
        this.logNote = logNote;
    }

    public String getLogState() {
        return this.logState;
    }

    public void setLogState(String logState) {
        this.logState = logState;
    }
}
